## org.apache.commons.math3.optimization.direct
Class PowellOptimizer.LineSearch

    java.lang.Object
      org.apache.commons.math3.optimization.univariate.BaseAbstractUnivariateOptimizer
          org.apache.commons.math3.optimization.univariate.BrentOptimizer
              org.apache.commons.math3.optimization.direct.PowellOptimizer.LineSearch

All Implemented Interfaces:
  BaseOptimizer<UnivariatePointValuePair>, BaseUnivariateOptimizer<UnivariateFunction>, UnivariateOptimizer

Enclosing class:
  PowellOptimizer

    private class PowellOptimizer.LineSearch

extends BrentOptimizer

Class for finding the minimum of the objective function along a given direction.

Field Summary
`private BracketFinder` `bracket` Automatic bracketing.

Constructor Summary
`PowellOptimizer.LineSearch(double rel, double abs)`

Method Summary
`UnivariatePointValuePair` `search(double[] p, double[] d)` Find the minimum of the function `f(p + alpha * d)`.

Methods inherited from class org.apache.commons.math3.optimization.univariate.BrentOptimizer
`doOptimize`

Methods inherited from class org.apache.commons.math3.optimization.univariate.BaseAbstractUnivariateOptimizer
`computeObjectiveValue, getConvergenceChecker, getEvaluations, getGoalType, getMax, getMaxEvaluations, getMin, getStartValue, optimize, optimize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bracket

    private final BracketFinder bracket

  Automatic bracketing.

Constructor Detail

### PowellOptimizer.LineSearch

    PowellOptimizer.LineSearch(double rel,
                               double abs)

Parameters:
  `rel` - Relative threshold.
  `abs` - Absolute threshold.

Method Detail

### search

    public UnivariatePointValuePair search(double[] p,
                                           double[] d)

  Find the minimum of the function `f(p + alpha * d)`.

  Parameters:
    `p` - Starting point.
    `d` - Search direction.
  Returns:
    the optimum.
  Throws:
    `TooManyEvaluationsException` - if the number of evaluations is exceeded.

Copyright (c) 2003-2013 Apache Software Foundation